

#ifndef __IMAGER_VIZ_H__
#define __IMAGER_VIZ_H__

#include "defs.h"




/********************************************************/


int ncontours;		/* Had to use a global variable due to some compatibility issues - sorry :-/ */

void reset_colormap();
rgbtriplet cmap (float val, float min, float max);
void make_imlib_buffer_from_main_image (int slice);


void secondary_mip (image_type* img);

void view_zslab();

void make_contour_lines (image_type *img, rgbtriplet *target, int numcontours, int slice, float scalex, float scaley, int rowstride, rgbtriplet color);
void show_contour_lines (image_type *img, int slice);

void cmap_main ();
void bright_contrast_main ();

void surface_draw_main ();


#endif
